object Parameter
- Alphabetic
- By Inheritance
- Parameter
- AnyRef
- Any
- Hide All
- Show All
- Public
- All
Type Members
-
final
case class
CookieParameter(name: String, description: Doc, required: Boolean, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, explode: Boolean = false, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable
Used to pass a specific cookie value to the API.
Used to pass a specific cookie value to the API.
- name
The name of the parameter. Parameter names are case sensitive.
- description
A brief description of the parameter.
- required
Determines whether this parameter is mandatory.
- deprecated
Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.
- allowEmptyValue
Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.
- sealed trait Definition extends SchemaOrReference
-
final
case class
HeaderParameter(name: String, description: Doc, required: Boolean, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, explode: Boolean = false, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable
Custom headers that are expected as part of the request.
Custom headers that are expected as part of the request. Note that [RFC7230] states header names are case insensitive.
- name
The name of the parameter. Parameter names are case sensitive.
- description
A brief description of the parameter.
- required
Determines whether this parameter is mandatory.
- deprecated
Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.
- allowEmptyValue
Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.
-
final
case class
PathParameter(name: String, description: Doc, required: Boolean, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, style: PathStyle = QueryStyle.Simple, explode: Boolean = false, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable
Used together with Path Templating, where the parameter value is actually part of the operation’s URL.
Used together with Path Templating, where the parameter value is actually part of the operation’s URL. This does not include the host or base path of the API. For example, in /items/{itemId}, the path parameter is itemId.
- name
The name of the parameter. Parameter names are case sensitive.
- description
A brief description of the parameter.
- required
Determines whether this parameter is mandatory.
- deprecated
Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.
- allowEmptyValue
Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.
- sealed trait PathStyle extends AnyRef
-
final
case class
QueryParameter(name: String, description: Doc, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, allowReserved: Boolean = false, style: QueryStyle = QueryStyle.Form, explode: Boolean = true, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable
Parameters that are appended to the URL.
Parameters that are appended to the URL. For example, in /items?id=###, the query parameter is id.
- name
The name of the parameter. Parameter names are case sensitive.
- description
A brief description of the parameter.
- deprecated
Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.
- allowEmptyValue
Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.
- sealed trait QueryStyle extends AnyRef
Value Members
-
final
def
!=(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
final
def
##(): Int
- Definition Classes
- AnyRef → Any
-
final
def
==(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
final
def
asInstanceOf[T0]: T0
- Definition Classes
- Any
-
def
clone(): AnyRef
- Attributes
- protected[lang]
- Definition Classes
- AnyRef
- Annotations
- @throws( ... ) @native() @IntrinsicCandidate()
-
final
def
eq(arg0: AnyRef): Boolean
- Definition Classes
- AnyRef
-
def
equals(arg0: Any): Boolean
- Definition Classes
- AnyRef → Any
-
final
def
getClass(): Class[_]
- Definition Classes
- AnyRef → Any
- Annotations
- @native() @IntrinsicCandidate()
-
def
hashCode(): Int
- Definition Classes
- AnyRef → Any
- Annotations
- @native() @IntrinsicCandidate()
-
final
def
isInstanceOf[T0]: Boolean
- Definition Classes
- Any
-
final
def
ne(arg0: AnyRef): Boolean
- Definition Classes
- AnyRef
-
final
def
notify(): Unit
- Definition Classes
- AnyRef
- Annotations
- @native() @IntrinsicCandidate()
-
final
def
notifyAll(): Unit
- Definition Classes
- AnyRef
- Annotations
- @native() @IntrinsicCandidate()
-
final
def
synchronized[T0](arg0: ⇒ T0): T0
- Definition Classes
- AnyRef
-
def
toString(): String
- Definition Classes
- AnyRef → Any
-
final
def
wait(arg0: Long, arg1: Int): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... )
-
final
def
wait(arg0: Long): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... ) @native()
-
final
def
wait(): Unit
- Definition Classes
- AnyRef
- Annotations
- @throws( ... )
- object Definition
- object QueryStyle